package android.app.csdk;

import android.content.ComponentName;
import android.content.Context;
import android.content.Intent;
import android.graphics.Bitmap;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.util.List;
import java.util.Map;

public class CSDKManager {
    /**
     * x505f的方法
     */
    public static final int LOCKSCREEN_MODE_NONE = 0;
    public static final int LOCKSCREEN_MODE_SWIPE = 1;

    public CSDKManager(Context context) {
        throw new RuntimeException("Stub!");
    }

    public static String getLauncherPackageName(Context context, int tag) {
        throw new RuntimeException("Stub!");
    }

    public boolean getCustomSplashPath() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomSplashPath(String path) {
        throw new RuntimeException("Stub!");
    }

    public boolean getCustomOTG() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomOTG(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean getCustomFASTBOOT() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomFASTBOOT(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean getCustomRecovery_v3() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomRecovery_v3(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean getCustomSDUPDATE() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomSDUPDATE(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean getCustomHARDRST() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomHARDRST(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean getCustomCHARGE() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomCHARGE(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean shutdownDevice() {
        throw new RuntimeException("Stub!");
    }

    public boolean sleepDevice() {
        throw new RuntimeException("Stub!");
    }

    public boolean wakeupDevice() {
        throw new RuntimeException("Stub!");
    }

    public boolean rebootDevice() {
        throw new RuntimeException("Stub!");
    }

    public Bitmap captureScreen() {
        throw new RuntimeException("Stub!");
    }

    public void enableCaptureScreen_v3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public void setSafeModeDisabled(boolean disabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean launchFactoryReset() {
        throw new RuntimeException("Stub!");
    }

    public void disableFactoryReset(boolean disabled) {
        throw new RuntimeException("Stub!");
    }

    public void disallowFactoryReset_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean unlockScreen() {
        throw new RuntimeException("Stub!");
    }

    public boolean enableDevMode(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableSystemAutoUpdate(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public void disableMultiUser(boolean disabled) {
        throw new RuntimeException("Stub!");
    }

    public void disallowMultiUser_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean disableCamera(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public void setUserRestriction(String key, boolean value) {
        throw new RuntimeException("Stub!");
    }

    public void disableLocation(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public String getDeviceInfo(int type) {
        throw new RuntimeException("Stub!");
    }

    public void removeNetworkAccessWhitelist(List<String> addrList) {
        throw new RuntimeException("Stub!");
    }

    public void addNetworkAccessWhitelist(List<String> addrList) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getNetworkAccessWhitelist() {
        throw new RuntimeException("Stub!");
    }

    public void addNetworkAccessBlacklist(List<String> addrList) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getNetworkAccessBlacklist() {
        throw new RuntimeException("Stub!");
    }

    public void enableNetworkAccess(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean isNetworkRulesEnabled() {
        throw new RuntimeException("Stub!");
    }

    public List<String> GetAppWhiteRules() {
        throw new RuntimeException("Stub!");
    }

    public List<String> GetAppBlackRules() {
        throw new RuntimeException("Stub!");
    }

    public boolean setDisplayBlacklist(List<String> packageNames, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getDisplayBlacklist_v3() {
        throw new RuntimeException("Stub!");
    }

    public void setDisplayBlacklist_v3(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void removeDisplayBlacklist_v3(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void addAppManageWhiteList_v3(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getAppManageWhiteList_v3() {
        throw new RuntimeException("Stub!");
    }

    public void removeAppManageWhiteList_v3(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void addAppManageBlackList_v3(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getAppManageBlackList_v3() {
        throw new RuntimeException("Stub!");
    }

    public void removeAppManageBlackList_v3(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void setRuntimePermissions(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean setlockInputMethod(String packageName) {
        throw new RuntimeException("Stub!");
    }

    public void setAppOpsPermissions(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void disableInstallation(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void disableUnInstallation(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void disableApplicationManage_v3(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void killApplicationProcess(String packageName) {
        throw new RuntimeException("Stub!");
    }

    public void installPackage(String packagePath) {
        throw new RuntimeException("Stub!");
    }

    public void uninstallPackage(String packageName, boolean keepData) {
        throw new RuntimeException("Stub!");
    }

    public void addInstallPackageWhiteList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getInstallPackageWhiteList() {
        throw new RuntimeException("Stub!");
    }

    public void removeInstallPackageWhiteList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void addInstallPackageBlackList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getInstallPackageBlackList() {
        throw new RuntimeException("Stub!");
    }

    public void removeInstallPackageBlackList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void addUninstallPackageWhiteList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getUninstallPackageWhiteList() {
        throw new RuntimeException("Stub!");
    }

    public void removeUninstallPackageWhiteList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void addUninstallPackageBlackList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getUninstallPackageBlackList() {
        throw new RuntimeException("Stub!");
    }

    public void removeUninstallPackageBlackList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void disableTabletMasterAutostart(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public void disableAutostart(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public void addAutostartPackageBlackList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getAutostartPackageBlackList() {
        throw new RuntimeException("Stub!");
    }

    public void removeAutostartPackageBlackList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void setComponentEnabled(ComponentName com, int newstate, int flag) {
        throw new RuntimeException("Stub!");
    }

    public boolean setDeviceOwner(String com) throws Exception {
        throw new RuntimeException("Stub!");
    }

    public void removeDeviceOwner(String packageName) throws Exception {
        throw new RuntimeException("Stub!");
    }

    public void setPackageEnabled(String packageName, boolean enabled) throws Exception {
        throw new RuntimeException("Stub!");
    }

    public boolean hideUsbMenu(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableUsbDebugging(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public void setCurrentUsbMode(int mode) {
        throw new RuntimeException("Stub!");
    }

    public void setDefaultUsbMode(int mode) {
        throw new RuntimeException("Stub!");
    }

    public boolean disableWifiDirect(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public boolean disableBluetooth(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public boolean disableWifi(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableMassStorage(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public void disableBluetoothShare(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public boolean addSSID(String ssid, String password, int type, boolean connect) {
        throw new RuntimeException("Stub!");
    }

    public boolean setHttpProxy(String host, int port, List<String> bypassList) {
        throw new RuntimeException("Stub!");
    }

    public boolean setDefaultAPN_v3(String name) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowAPN_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowWIFIAccessPoint_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowSIMcard_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowUsbMode_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowWifiDirect_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowBluetooth_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableBluetooth_v3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowWifi_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableWifi_v3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowWifiadvancesettings_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowData_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableData_v3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowBluetoothShare_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableWifiHotspot_v3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowWifiHotspot_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableUSBtethering_v3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowedUSBtethering_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableBluetoothtethering_v3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowedBluetoothtethering_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowAirplaneMode_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableWIFIcaptive_v3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableLocation_v3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowLocation_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean hideBackSoftKey(boolean hide) {
        throw new RuntimeException("Stub!");
    }

    public boolean hideHomeSoftKey(boolean hide) {
        throw new RuntimeException("Stub!");
    }

    public boolean hideMenuSoftKey(boolean hide) {
        throw new RuntimeException("Stub!");
    }

    public void hideNavigationBar(boolean hide) {
        throw new RuntimeException("Stub!");
    }

    public void fullScreenForever(boolean hide) {
        throw new RuntimeException("Stub!");
    }

    public void disableStatusBarNotification(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public boolean disableLockScreenNotification(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public boolean setCustomBootAnim(String uri) {
        throw new RuntimeException("Stub!");
    }

    public boolean setCustomShutAnim(String uri) {
        throw new RuntimeException("Stub!");
    }

    public boolean setCustomLogo(String path) {
        throw new RuntimeException("Stub!");
    }

    public boolean setLauncher(String packageName) {
        throw new RuntimeException("Stub!");
    }

    public void setCustomLauncher(String packageName, String className) {
        throw new RuntimeException("Stub!");
    }

    public void activateLicense(String licenseKey) {
        throw new RuntimeException("Stub!");
    }

    public boolean deactivateLicense(String licenseKey) {
        throw new RuntimeException("Stub!");
    }

    public boolean aCLK(String lk) {
        throw new RuntimeException("Stub!");
    }

    public boolean isLicenseKeyEnabled(String pkgName) {
        throw new RuntimeException("Stub!");
    }

    public void setPersistValue(String name, String value) {
        throw new RuntimeException("Stub!");
    }

    public void putSettingsValue(int settings_type, int data_type, String key, String value) {
        throw new RuntimeException("Stub!");
    }

    public void setSysTime(long mils) {
        throw new RuntimeException("Stub!");
    }

    public void setSysDate(int y, int m, int d) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableAutoBrightness(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public boolean setBrightness(int value) {
        throw new RuntimeException("Stub!");
    }

    public boolean setLockPassword(String pwd) {
        throw new RuntimeException("Stub!");
    }

    public void enableAirplaneMode(boolean on) {
        throw new RuntimeException("Stub!");
    }

    public void setBootTime(boolean enabled, int hour, int minutes, int daysOfWeek, long switchTime) {
        throw new RuntimeException("Stub!");
    }

    public void setShutDownTime(boolean enabled, int hour, int minutes, int daysOfWeek, long switchTime) {
        throw new RuntimeException("Stub!");
    }

    public boolean disableHiddenGame(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public boolean setLocationMode(int mode) {
        throw new RuntimeException("Stub!");
    }

    public void setLockScreenMode(int mode) {
        throw new RuntimeException("Stub!");
    }

    public boolean setDefaultInputMethod(String inputMethodID) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetSysTime_v3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetSysDate_v3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void setTimeZone_v3(String timeZone) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetSysTimeZone_v3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void setMediaVolumeValue_v3(int value) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetMediaVolume_v3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void setNotificationVolumeValue_v3(int value) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetNotificationVolume_v3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void setAlarmVolumeValue_v3(int value) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetAlarmVolume_v3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetBrightness_v3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void setSleepTimeout_V3(int value) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetSleepTimeout_V3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetBootTime_V3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetShutDownTime_V3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void disallowAutoDateAndTime_V3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public boolean disableStatusBarPanel(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public boolean hideStatusBar(boolean hide) {
        throw new RuntimeException("Stub!");
    }

    public boolean requestKeyControl(int keycode) {
        throw new RuntimeException("Stub!");
    }

    public boolean requestKeyControl_V3(int keycode, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean releaseKeyControl() {
        throw new RuntimeException("Stub!");
    }

    public boolean enableSIM(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean enableData(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void disallowLockScreenNotification_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSwitchLauncher_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetInputMethod_v3(String packageName, boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowDevMode_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void enableUnkownsources_v3(String mPackageName, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowUsbDebugging_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void enableSearch_v3(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowLockScreenMode_v3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void enableDevMode_v3(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableAllUnkownsources_v3(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean SetEnable(boolean allow) {
        throw new RuntimeException("Stub!");
    }

    public boolean isEnable() {
        throw new RuntimeException("Stub!");
    }

    public boolean urlWhiteListWrite(List<String> urls) {
        throw new RuntimeException("Stub!");
    }

    public List<String> urlWhiteListRead() {
        throw new RuntimeException("Stub!");
    }

    public boolean urlBlackListWrite(List<String> urls) {
        throw new RuntimeException("Stub!");
    }

    public List<String> urlBlackListRead() {
        throw new RuntimeException("Stub!");
    }

    public boolean ClearIpHostRules() {
        throw new RuntimeException("Stub!");
    }

    public boolean AddAppWhiteRule(String pkgName) {
        throw new RuntimeException("Stub!");
    }

    public boolean AddAppBlackRule(String pkgName) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getAppWhiteRules() {
        throw new RuntimeException("Stub!");
    }

    public List<String> getAppBlackRules() {
        throw new RuntimeException("Stub!");
    }

    public boolean ClearAppRules() {
        throw new RuntimeException("Stub!");
    }

    public boolean ClearRules() {
        throw new RuntimeException("Stub!");
    }

    public boolean WriteToFile() {
        throw new RuntimeException("Stub!");
    }

    public boolean setDefaultBrowser(String packagename) {
        throw new RuntimeException("Stub!");
    }

    public boolean clearAppData(String packageName) {
        throw new RuntimeException("Stub!");
    }

    public void addWifiWhiteList(List<String> macs) {
        throw new RuntimeException("Stub!");
    }

    public void removeWifiWhiteList(List<String> macs) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getWifiWhiteList() {
        throw new RuntimeException("Stub!");
    }

    public void setWifiWhiteList(List<String> wifiList) {
        throw new RuntimeException("Stub!");
    }

    /**
     * 以下为x6e6f的方法
     * */
    public static final int LOCK_TASK_FEATURE_BLOCK_ACTIVITY_START_IN_TASK = 64;
    public static final int LOCK_TASK_FEATURE_GLOBAL_ACTIONS = 16;
    public static final int LOCK_TASK_FEATURE_HOME = 4;
    public static final int LOCK_TASK_FEATURE_KEYGUARD = 32;
    public static final int LOCK_TASK_FEATURE_NONE = 0;
    public static final int LOCK_TASK_FEATURE_NOTIFICATIONS = 2;
    public static final int LOCK_TASK_FEATURE_OVERVIEW = 8;
    public static final int LOCK_TASK_FEATURE_SYSTEM_INFO = 1;

    public boolean isCustomOtg() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomFastBoot(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean isCustomFastBoot() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomRecoveryV3(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean isCustomRecoveryV3() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomSdUpdate(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean isCustomSdUpdate() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomHardRst(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean isCustomHardRst() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomCharge(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean isCustomCharge() {
        throw new RuntimeException("Stub!");
    }

    public void setCustomBootLogo(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean getCustomBootLogo() {
        throw new RuntimeException("Stub!");
    }

    public void enableCaptureScreenV3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }

    public void disallowFactoryResetV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }
    public boolean isFactoryResetDisabled() {
        throw new RuntimeException("Stub!");
    }

    public void disallowMultiUserV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }


    public void disableVibrator(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public void disableWifiDisplay(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public void disableOemUnLock(boolean disable) {
        throw new RuntimeException("Stub!");
    }

    public void disallowOemUnLock(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void setDisplayBlacklistV3(@Nullable List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    @Nullable
    public List<String> getDisplayBlacklistV3() {
        throw new RuntimeException("Stub!");
    }

    public void removeDisplayBlacklistV3(@Nullable List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void addAppManageWhiteListV3(@Nullable List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    @Nullable
    public List<String> getAppManageWhiteListV3() {
        throw new RuntimeException("Stub!");
    }

    public void removeAppManageWhiteListV3(@Nullable List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }
    public void addAppManageBlackListV3(@Nullable List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    @Nullable
    public List<String> getAppManageBlackListV3() {
        throw new RuntimeException("Stub!");
    }


    public void removeAppManageBlackListV3(@Nullable List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void disallowDozeSetting(@Nullable boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void addDozeSettingWhiteList(@Nullable List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    @Nullable
    public List<String> getDozeSettingWhiteList() {
        throw new RuntimeException("Stub!");
    }

    public void removeDozeSettingWhiteList(@Nullable List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void disallowMultiWindow(@Nullable boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void disableApplicationManageV3(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void addNotificationWhiteList(@Nullable List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    @Nullable
    public List<String> getNotificationWhiteList() {
        throw new RuntimeException("Stub!");
    }

    public void removeNotificationWhiteList(@Nullable List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public boolean addSsid(@Nullable String ssid, @Nullable String password, int type, boolean connect) {
        throw new RuntimeException("Stub!");
    }



    public boolean setDefaultApnV3(@Nullable String name) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowApnV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowWifiAccessPointV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowSimcardV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowUsbModeV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowWifiDirectV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowBluetoothV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean enableBluetoothV3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowWifiV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean enableWifiV3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowWifiAdvanceSettingsV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowDataV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean enableDataV3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowBluetoothShareV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean enableWifiHotspotV3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowWifiHotspotV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean enableUsbTetheringV3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }


    public boolean disallowUsbTetheringV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean enableBluetoothTetheringV3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowBluetoothTetheringV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowAirplaneModeV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public boolean enableWifiCaptiveV3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }



    public boolean enableLocationV3(boolean enabled) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowLocationV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    @Nullable
    public Map<String, String> getSimContacts() {
        throw new RuntimeException("Stub!");
    }

    public boolean removeSsid(@NonNull String ssid) {
        throw new RuntimeException("Stub!");
    }

    public boolean activeSsid(@NonNull String ssid) {
        throw new RuntimeException("Stub!");
    }

    public void enableWifiBlackList(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void addWifiBlackList(@NonNull List<String> macs) {
        throw new RuntimeException("Stub!");
    }

    public void removeWifiBlackList(@NonNull List<String> macs) {
        throw new RuntimeException("Stub!");
    }

    @Nullable
    public List<String> getWifiBlackList() {
        throw new RuntimeException("Stub!");
    }

    public void enableWifiWhiteList(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public boolean disallowStatusBarNotification(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void setLockTaskPackages(@NonNull String[] packages) {
        throw new RuntimeException("Stub!");
    }

    @NonNull
    public String[] getLockTaskPackages() {
        throw new RuntimeException("Stub!");
    }

    public void setLockTaskFeatures(int flags) {
        throw new RuntimeException("Stub!");
    }

    public int getLockTaskFeatures() {
        throw new RuntimeException("Stub!");
    }



    public void hideResolverAlwaysButton(boolean disable) {
        throw new RuntimeException("Stub!");
    }



    public void clearDefaultBrowser() {
        throw new RuntimeException("Stub!");
    }

    public void disallowBrowserReset(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void setDefaultAssistant(@NonNull String packageName) {
        throw new RuntimeException("Stub!");
    }

    public void clearDefaultAssistant() {
        throw new RuntimeException("Stub!");
    }

    public void setDefaultDialer(@NonNull String packageName) {
        throw new RuntimeException("Stub!");
    }

    public void clearDefaultDialer() {
        throw new RuntimeException("Stub!");
    }

    public void disallowDialerReset(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void disallowAssistantReset(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void setDefaultSms(@NonNull String packageName) {
        throw new RuntimeException("Stub!");
    }

    public void clearDefaultSms() {
        throw new RuntimeException("Stub!");
    }

    public void disallowSmsReset(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void setDefaultIntent(@NonNull Intent intent, @NonNull String packageName) {
        throw new RuntimeException("Stub!");
    }

    public void clearDefaultIntent(@NonNull Intent intent) {
        throw new RuntimeException("Stub!");
    }

    public void clearDefault(@NonNull String packageName) {
        throw new RuntimeException("Stub!");
    }

    public void setDefaultVideoPlayer(@NonNull String packageName) {
        throw new RuntimeException("Stub!");
    }



    public void disallowSetSysTimeV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSetSysDateV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }



    public void setTimeZoneV3(@NonNull String timeZone) {
        throw new RuntimeException("Stub!");
    }



    public void disallowSetSysTimeZoneV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }



    public void setMediaVolumeValueV3(int value) {
        throw new RuntimeException("Stub!");
    }



    public void disallowSetMediaVolumeV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }



    public void setNotificationVolumeValueV3(int value) {
        throw new RuntimeException("Stub!");
    }



    public void disallowSetNotificationVolumV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }



    public void setAlarmVolumeValueV3(int value) {
        throw new RuntimeException("Stub!");
    }



    public void disallowSetAlarmVolumeV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }



    public void disallowSetBrightnessV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }



    public void setSleepTimeoutV3(int value) {
        throw new RuntimeException("Stub!");
    }



    public void disallowSetSleepTimeoutV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }

    public boolean isdisallowSetSleepTimeout_V3() {
        throw new RuntimeException("Stub!");
    }



    public void disallowSetBootTimeV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }



    public void disallowSetShutDownTimeV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }



    public void disallowAutoDateAndTimeV3(boolean disallow) {
        throw new RuntimeException("Stub!");
    }







    public boolean enableSim(boolean enable) {
        throw new RuntimeException("Stub!");
    }




    public void disallowLockScreenNotificationV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public void disallowSwitchLauncherV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public void disallowSetInputMethodV3(@Nullable String packageName, boolean disallowed) {
        throw new RuntimeException("Stub!");
    }





    public boolean disallowDevModeV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public void enableUnkownsourcesV3(@Nullable String mPackageName, boolean enable) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowUsbDebuggingV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public void enableSearchV3(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableVPN_v3(boolean enable) {
        throw new RuntimeException("Stub!");
    }



    public boolean disallowLockScreenModeV3(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }



    public void enableDevModeV3(boolean enable) {
        throw new RuntimeException("Stub!");
    }



    public void enableAllUnkownsourcesV3(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableOverlayWindow(@Nullable String mPackageName, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enablePictureInPicture(@Nullable String mPackageName, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableWriteSettings(@Nullable String mPackageName, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableUsageStats(@Nullable String mPackageName, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableWifiState(@Nullable String mPackageName, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableNotification(@Nullable String mPackageName, @Nullable String mPackageClass, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableNotDisturb(@Nullable String mPackageName, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableDeviceAdmin(@Nullable String mPackageClass, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableUsbHostPermission(boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void enableAccessibility(@Nullable String mPackageName, @Nullable String mPackageClass, boolean enable) {
        throw new RuntimeException("Stub!");
    }

    public void disallowApplicationPermissionsPage(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void disallowSpecialAccessPermissionsPage(boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public boolean isCustomized(int from) {
        throw new RuntimeException("Stub!");
    }


    public void addAlicePackageWhiteList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getAlicePackageWhiteList() {
        throw new RuntimeException("Stub!");
    }

    public void removeAlicePackageWhiteList(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void addSettingsUIMenuNames(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public List<String> getSettingsUIMenuNames() {
        throw new RuntimeException("Stub!");
    }

    public void removeSettingsUIMenuNames(List<String> packageNames) {
        throw new RuntimeException("Stub!");
    }

    public void disallowClipboard(@Nullable boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void disabledSystemUpdate(@Nullable boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void disableChangeWallpaper(@Nullable boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void disallowBluetoothDataTransfer(@Nullable boolean disallowed) {
        throw new RuntimeException("Stub!");
    }

    public void disabledFileShare(@Nullable boolean disallowed) {
        throw new RuntimeException("Stub!");
    }
}